/*-----------------------------------------------------------------------

File  : che_heu_simple.h

Author: Stephan Schulz

Contents
 
   4 simple heuristics really meant for overloading of the WFCB's.
   Single = w1(1), Mix11 = w1(1)w2(1), Mix21 = w1(2)w2(1), Mix31 =
   w1(3)w2(1).

Changes

<1> Fri Dec 18 15:01:54 MET 1998
    New

-----------------------------------------------------------------------*/

#ifndef CHE_HEU_SIMPLE

#define CHE_HEU_SIMPLE


#include <che_proofcontrol.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/


HCB_p HCBSingleCreate(HCBARGUMENTS);
HCB_p HCBMix11Create(HCBARGUMENTS);
HCB_p HCBMix21Create(HCBARGUMENTS);
HCB_p HCBMix31Create(HCBARGUMENTS);

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





